<div class="jumbotron">
  <h1>{{title}}</h1>      
  <p>{{paragraph}}</p>
</div>

<div class="items-container">
  <mat-list *ngFor="let article of articles">

      <div *ngIf="article.story_title" class="article">

        <mat-list-item (click)="showStory(article.story_url)">
          <span class="article-title">
            {{article.story_title}}
          </span>
          <span *ngIf="article.author" class="article-author">
            - {{article.author}} -
          </span>
          <span class="right-options">
            <span class="article-date">
              {{article.created_at}}
            </span>
            <span class="article-trash">
              <i class="fas fa-trash-alt" (click)="deleteArticle(article)"></i>
            </span>
          </span>
        </mat-list-item>
        <mat-divider></mat-divider>

      </div>

      <div *ngIf="article.title" class="article">

        <mat-list-item (click)="showStory(article.story_url)">
          {{article.title}} 
          <span *ngIf="article.author" class="article-author">
            - {{article.author}} -
          </span>
          <span class="right-options">
            <span class="article-date">
              {{article.created_at}}
            </span>
            <span class="article-trash">
              <i class="fas fa-trash-alt" (click)="deleteArticle(article)"></i>
            </span>
          </span>
        </mat-list-item>
        <mat-divider></mat-divider>

      </div>

  </mat-list>
</div>